<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class GrMaster extends Model
{
     use SoftDeletes;

    protected $fillable = [
        "plant_id",
        "item_id",
        "serial_number",
        "gr_number",
        "created_at",
        "created_by",
        "updated_by",
        "updated_at"
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function item(): BelongsTo
    {
        return $this->belongsTo(Item::class);
    }

}
